#!/bin/bash

if [ ! -z $explang ] ; then
  explang=en
fi

export PROGNAME=Expeditee
#export EXPEDITEE_OS=`uname`

# go into the folder where this script lives and run expeditee from there
thisdir="`dirname \"$0\"`"
thisdir="`cd \"$thisdir\" && pwd`"
cd "$thisdir"
export EXPEDITEE_CLOUD_HOME="$thisdir"

#  -------- Run Expeditee --------

# JRE_HOME or JAVA_HOME must be set correctly to run Expeditee

# ---- Check Java ----
exit_status=0
# Need to find Java. 
#"$EXPEDITEE_CLOUD_HOME/findjava.sh"
source ./findjava.sh "$explang" "$PROGNAME"
exit_status=$?
if [ "$exit_status" -eq 1 ]; then
    exit 1;
fi
export PATH="$JAVA_HOME/bin:$PATH"


# Potentially useful, not currently used
cygwin_detected=0
cygpath -h >/dev/null 2>&1
if [ $? == 0 ] ; then
  cygwin_detected=1
fi

custom_vm_args=""
if [ "$EXPEDITEE_OS" = "darwin" ]; then
   custom_vm_args="$custom_vm_args -Xdock:name=NG-IKM"
fi

if [ "x$EXPEDITEE_FILESYSTEM" != "x" ] ; then
    custon_vm_args="$custom_vm_args -Dexpeditee.home=\"$EXPEDITEE_FILESYSTEM\""
fi


# Use the following if anything extra is needed for java for your environment
java_props=

cd "$EXPEDITEE_HOME"
java $java_props $custom_vm_args  -classpath releases/Expeditee.jar org.apollo.ApolloSystem $*

   




